# Overview
The Database Text Searcher module provides a Drush command tailored to facilitate searching for text across multiple database tables within a Drupal environment. This feature can help developers and site administrators quickly identify and locate specific information within the database. The search results can be displayed within the command line interface and saved to a CSV file for further analysis or record-keeping.

# Use Cases
1. **Content Audit:** This feature enables developers to perform comprehensive content audits by searching for specific keywords across all database tables. This can help identify outdated or incorrect information that may need updating or removal.
1. **Security Checks:** This tool can help security audits by finding potentially sensitive data stored in plain text (like passwords or personal data) that should be encrypted or moved to more secure storage.
1. **Data Migration:** This is Useful during site migrations to ensure that specific data pieces have been transferred correctly across environments.
1. **Compliance and Reporting:** This helps generate reports for compliance purposes, where specific data needs to be located and documented.

# Features

- Performs partial text matches across most database tables, automatically excluding system and cache-related tables for optimized performance.
- Results include table name, column name, primary key, and the matched value.
- Search results can be printed in the console for immediate review and saved to a timestamped CSV file.
- Handles various character sets and encoding, ensuring accurate search results across different textual data types.
- Resolves some entity URLs based on table names, providing direct links for quick access to the Drupal entity.

# Command Usage
- **Command**: db-text-searcher:search
- **Aliases**: db-text-search
- **Parameters**:
  - searchText: Text to search across the database.
- **Examples**:
  - Search for "sample text":

```bash
drush db-text-search "sample text"
```
